/*------------------------------------------------------------------css reset----------------------------------------------------*/

/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
    box-sizing: border-box;
    
  }
  /*
    2. Remove default margin
  */
  * {
    margin: 0;
    
  }
  /*
    Typographic tweaks!
    3. Add accessible line-height
    4. Improve text rendering
  */
  /*body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
  }*/
  /*
    5. Improve media defaults
  */
  img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
  }
  /*
    6. Remove built-in form typography styles
  */
  input, button, textarea, select {
    font: inherit;
  }
  /*
    7. Avoid text overflows
  */
  p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
  }
  /*
    8. Create a root stacking context
  */
  #root, #__next {
    isolation: isolate;
  }
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/*------------------------------------------------------------------css reset----------------------------------------------------*/
/**{
    /*border: 2px solid black !important;
}*/
body{
    
    /*background-image: url(./resources/pexels-ithalu-907485.jpg);*/
    
    /*background-size: cover;*/
    width: 100%;
    font-family: 'Montserrat', sans-serif;
    

}

.container{
  width: 100%;
  margin: auto;
  background-color: #3F3838;
  z-index: 1;
  
}
header{
  background-color: #f7f0ef;
  display: flex;
  justify-content: end;
  padding: 20px;
  z-index: 5;
  
  
}
.menu{
    display: flex;
    flex-wrap: wrap;
    background-color: #f7f0ef;
    z-index: 1;
    
}
.logo{
    display: flex;
    width: 100%;
    justify-content: center;
    margin-top: 20px;

}
.logo img{
    width: 300px;
    align-self: center;
    justify-self: center;
    text-align: center;
    z-index: 3;

}
#sakura{
    width: 34%;
}
.navsection{
  display: flex;
  flex-direction: column;
  width: 33%;
  justify-content: center;
  z-index: 8;
}

nav ul{
    display: flex;
    flex-direction: column;
    gap: 30px;
    padding: 30px;
    height: 100%;
    justify-content: center;
}
nav li{
    text-align: center;
    font-size: 1.5rem;
    padding: 5px;
    background-color: #F7B2B9 ;
    border-radius: 10px;
    display: flex;

}
/*------------Change the border color---------------------
nav li:hover{
  outline: solid white 2px;
  
}*/

nav a{
  text-decoration: none;
  color: black;
  width: 100%;
  
}
nav a:hover{
  color: white;
  
  
}
#self{
    width: 33%;
    display: flex;
    justify-content: start;
    align-items: center;
    z-index: 3;
    
}

#self img{
  max-width: 400px; /**************Change this when needed*****************/
}
.apps{
  display: flex;
  justify-content: center;
  align-items: center;
  /*width: 100%;*/
}
.apps ul{
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 30px;
  margin-bottom: 20px;

  
}

.apps img{
  width: 60px;
  /*min-width: 60px;*/
}

#web-designs-section{
    padding: 20px;
    display: flex;
    flex-direction: row;
    gap: 20px;
    justify-content: center;
   
}
.webdesign{
  width: 45%;
}
.webdesign img {
  width: 100%;
  max-width: 1000px;
  margin: auto ;
  padding-bottom: 10px;

  
}
.webdesign p{
  text-align: center;
  background-color: #D9D9D9;
  max-width: 70%;
  margin: auto;
  font-size: 1.9rem;
  
}
/*.webdesign>p:first-of-type{
  font-size: 1.9rem;
}
.webdesign>p:nth-of-type(2){
  font-size: 1.4rem;
}*/
.images{
    
    z-index: 5;
    position: relative;

}

/**************************************************************************/
.full-img{
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.9);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 99;
}
.full-img img{
    width: 90%;
    max-width: 800px;
}
.full-img span{
    position: absolute;
    top: 5%;
    right: 5%;
    font-size: 30px;
    color: white;
    cursor: pointer;
}

#images{
    z-index: 5;
  }

  @media only screen and (max-height: 700px){
    .full-img img{
      width: 70%;
      /*max-height: 800px;*/
    }
  }
/**********************************************************************/

#illustrations {
  display: flex;
  justify-content: space-around;
  background-color: #f7f0ef;
  gap: 20px;
  padding: 40px;
  flex-wrap: wrap;
  width: 100%;
  text-align: center;
  font-size: 1.8rem;
  z-index: 2;
}

#illustrations span{
  width: 100%;
}
#illustrations span, #editing span, #drawings span{
  color: #D9D9D9;
}

.othersections{
  height: 500px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30%;
  z-index: 2;

}
.othersections a {
  text-decoration: none;
  color: #D9D9D9;
  font-weight: 700;
  text-shadow: 0 0 3px #FF0000, 0 0 5px #0000FF;
  
  
}

.illustration{
  background-image: url(./html/illustration_assets/Final_Gallegos\ -\ Copy.png);
  background-size:calc(600px);
  background-position: left;
  background-repeat: no-repeat;
  transition: transform 0.5s;
  width: 100%;
  height: 100%;
  text-align: center;
  align-content: center;

}
.illustration:hover{
  transform: scale(1.3);
  filter: grayscale(70%);
  
}
.editing{
  background-image: url(./html/editing_assets/passageoftime-Gallegos.png);
  background-size: calc(850px);
  background-position: center;
  background-repeat: no-repeat;
  transition: transform 0.5s;
  width: 100%;
  height: 100%;
  text-align: center;
  align-content: center;

}
.editing:hover{
  transform: scale(1.3);
  filter: grayscale(70%);
}
.drawing{
  background-image: url(./html/drawing_assets/20230506_171813.jpg);
  background-size: calc(800px);
  background-position: bottom;
  background-repeat: no-repeat;
  transition: transform 0.5s;
  width: 100%;
  height: 100%;
  text-align: center;
  align-content: center;

}
.drawing:hover{
  transform: scale(1.3);
  filter: grayscale(70%);
}

.about-me{
    padding: 30px;
    background-color: #D9D9D9;
    display: flex;
    flex-direction: column;
    
}
.about-me h2{
    font-size: 2rem;
    text-align: center;
    padding: 20px;
}
.about-me div{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    width: 80%;
    align-self: center;


}
.about-me div img{
  /*width: 40%;*/
  max-width: 300px;
  align-self: center;
  margin-bottom: 30px;

  

}
.about-me div p{
    font-size: 1.4rem;
    text-align: center;
    width: 50%;
    align-self: center;
}
/*
.about-me div p{
    font-size: 1.2rem;
    text-align: center;
    padding: 50px;
    width: 60%;
    align-self: center;
    justify-self: center;
    margin: auto;

}*/

#project{
  padding: 50px;
  display: flex;
  flex-direction: column;
  background-color: #3F3838;
  align-items: center;
  color: #D9D9D9;
  
}
#project div{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 70%;
}
#project h2, #project p{
    text-align: center;
    background-color: #3F3838;

}
#project h2{
  font-size: 1.5rem;
  padding: 20px;
  width: 50%;
}

#project p {
  padding: 10px;
  margin-bottom: 20px;
  padding: 30px;
  width: 50%;

}
#project button{
  /*display: block;*/
  /*margin: auto;
  padding: 15px 30px; */
  /*width: 200px;*/
  align-self: center;
  z-index: 2;
}
/**********************************button*********************************/
.animated-button {
  position: relative;
  display: flex;
  align-items: center;
  gap: 4px;
  padding: 16px 36px;
  border: 4px solid;
  border-color: transparent;
  font-size: 16px;
  background-color: inherit;
  border-radius: 100px;
  font-weight: 600;
  color: #F7B2B9;
  box-shadow: 0 0 0 2px #F7B2B9;
  cursor: pointer;
  overflow: hidden;
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button svg {
  position: absolute;
  width: 24px;
  fill: #F7B2B9;
  z-index: 9;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .arr-1 {
  right: 16px;
}

.animated-button .arr-2 {
  left: -25%;
}

.animated-button .circle {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 20px;
  height: 20px;
  background-color: #F7B2B9;
  border-radius: 50%;
  opacity: 0;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .text {
  position: relative;
  z-index: 1;
  transform: translateX(-12px);
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button:hover {
  box-shadow: 0 0 0 12px transparent;
  color: #212121;
  border-radius: 12px;
}

.animated-button:hover .arr-1 {
  right: -25%;
}

.animated-button:hover .arr-2 {
  left: 16px;
}

.animated-button:hover .text {
  transform: translateX(12px);
}

.animated-button:hover svg {
  fill: #212121;
}

.animated-button:active {
  scale: 0.95;
  box-shadow: 0 0 0 4px #F7B2B9;
}

.animated-button:hover .circle {
  width: 220px;
  height: 220px;
  opacity: 1;
}

/*************************************************************************/

footer{
    display: flex;
    justify-content: space-between;
    background-color: black;
    padding: 0 20px;

    
    
    
}
footer p{
  text-align: center;
  align-self: center;
  color: aliceblue;
  justify-self: start;
  
  
}
footer img{
    width: 60px;
    

}
#noshow{
  visibility: hidden;
}
#socials{
    display: flex;
    justify-content: center;
    align-items: center;
    
}
#socials ul{
    display: flex;
    flex-direction: row;
    gap: 10px;
    color: #D9D9D9;
    padding: 10px 0 ;
    z-index: 2;
    
}
.socialmediawork{
  
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  z-index: 1;
  margin-top: 20px;
}

.colab{
  width: 100%;
  text-align: right;
  padding: 10px;
  margin-bottom: 40px;
  font-size: 2rem;
  text-align: start;
  
}
.socialmediawork .pagescontainer{
  width: 100%;
}
.pagescontainer{
  padding: 20px;
  gap: 25px;
  
  
}
.brand{
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;

}

.brand span{
  width: 100%;
  text-align: center;
}
.pagescontainer span{
  padding-bottom: 10px;
}
.brand img{
  width: 250px;
}
.pagescontainer a{
  text-decoration: none;
  color: #0000FF;
  font-size: 1.2rem;
}

/**********************************language switch************************************/


.radio-inputs {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  border-radius: 0.5rem;
  background-color: #F7B2B9;
  box-sizing: border-box;
  box-shadow: 0 0 0px 1px rgba(0, 0, 0, 0.06);
  padding: 0.25rem;
  width: 200px;
  font-size: 14px;
}

.radio-inputs .radio {
  flex: 1 1 auto;
  text-align: center;
}

.radio-inputs .radio input {
  display: none;
}

.radio-inputs .radio .name {
  display: flex;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  border-radius: 0.5rem;
  border: none;
  padding: .5rem 0;
  color: rgba(51, 65, 85, 1);
  transition: all .15s ease-in-out;
}

.radio-inputs .radio input:checked + .name {
  background-color: #fff;
  font-weight: 600;
}





/*************responsiveness****************/

@media only screen and (max-width: 1500px) {
  #self img{
    width: 300px;
    
  } 
  .othersections{
    height: 400px;
  }
}

@media only screen and (max-width: 1150px) {
  .brand{
    width: 100%;
  }
  .brand img{
    width: 100%;
  }
}

@media only screen and (max-width: 800px) {
  #self img{
    width: 100%;
    justify-content: end;
    
  } 
  .apps ul{
    
    gap: 15px;
    
  
    
  }
  .apps img{
    width: 40px;
  }
  .othersections{
    height: 300px;
  }
  .webdesign p{
    font-size: 1.4rem;
  }
  

  
}
@media only screen and (max-width: 700px){
  .about-me div img{
    /*width: 40%;*/
    max-width: 200px;
  
    
  
  }
  .othersections{
    width: 80%;
  }
  #web-designs-section{
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .webdesign{
    width: 80%;
  }
  
}

@media only screen and (max-width: 550px){
  .about-me div{
   
    flex-direction: column;
    
    width: 100%;
    


  }
  .about-me div p{
    width: 100%;
  }
  #self{
    display: none;
  }
  #sakura{
    display: none;
  }
  .navsection{
    
    width: 100%;
    
  }
  .editing{
    background-position: center;
    background-size: calc(550px);
  }
  .drawing{
    background-size: calc(450px);
    background-position:center ;
  }

  .brand{
    justify-content: center;
    align-items: center;
  }

}